Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Parametry nagłówka

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Parametry zapytań

api-version string wymagane

The API version to use for this operation.

Treść żądania

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string wymagane

The unique identifier for the insights report.

metadata InsightsMetadata wymagane

Metadata about the insights.

createdAt string wymagane

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string wymagane

Enum describing allowed operation states.

Którekolwiek z poniższych:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string wymagane

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison wymagane

The request of the insights report.

Jedna z następujących:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum wymagane

The type of insights request.

EvaluationRunClusterInsight
evalId string wymagane

Evaluation Id for the insights.

runIds string[] wymagane

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum wymagane

The type of request.

AgentClusterInsight
agentName string wymagane

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum wymagane

The type of request.

EvaluationComparison
evalId string wymagane

Identifier for the evaluation.

baselineRunId string wymagane

The baseline run ID for comparison.

treatmentRunIds string[] wymagane

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Jedna z następujących:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum wymagane

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] wymagane

Comparison results for each treatment run against the baseline.

method string wymagane

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum wymagane

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum wymagane

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

Odpowiedzi

The request has succeeded and a new resource has been created as a result.

Treść

Content-Type: application/json
id string wymagane

The unique identifier for the insights report.

metadata InsightsMetadata wymagane

Metadata about the insights.

createdAt string wymagane

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string wymagane

Enum describing allowed operation states.

Którekolwiek z poniższych:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string wymagane

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison wymagane

The request of the insights report.

Jedna z następujących:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum wymagane

The type of insights request.

EvaluationRunClusterInsight
evalId string wymagane

Evaluation Id for the insights.

runIds string[] wymagane

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum wymagane

The type of request.

AgentClusterInsight
agentName string wymagane

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum wymagane

The type of request.

EvaluationComparison
evalId string wymagane

Identifier for the evaluation.

baselineRunId string wymagane

The baseline run ID for comparison.

treatmentRunIds string[] wymagane

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Jedna z następujących:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum wymagane

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] wymagane

Comparison results for each treatment run against the baseline.

method string wymagane

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum wymagane

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum wymagane

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

Client error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Żądanie

POST /insights HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026